# saga::advert::directory Class Reference

The directory class represents a directory within a meta data directory with a hierarchical namespace attached. This class inherits all methods from saga::name_space::directoryectory. More...

`#include <advert_directory.hpp>`

Inheritance diagram for saga::advert::directory:

[legend]

List of all members.

## Public Member Functions
| directory (saga::session const &s, saga::url url, int mode=saga::advert::ReadWrite)
| Constructs an directory object that points to url, opens it in mode and associates it with the session s.
| directory (saga::url url, int mode=saga::advert::ReadWrite)
| Constructs an directory object that points to url and opens it in mode.
| directory (saga::object const &other)
| Constructs a copy of other.
| directory (void)
| Tries to construct a default directory object.
| ~directory (void)
| Destroys the directory object and frees all allocated resources.
directory & | operator= (saga::object const &o)
| Assigns object to this directory and returns a reference to it. TASK ONLY.
advert::entry | open (saga::url url, int mode=saga::advert::Read)
| Tries to open the advert at the URL url with mode.
advert::directory | open_dir (saga::url url, int mode=saga::advert::Read)
| Tries to open the advert_direcory at URL url with mode.
std::vector< saga::url > | find (std::string name, std::vector< std::string > pattern, int flags=saga::advert::None)
| Tries to find directory entries which match...
## Static Public Member Functions
static directory | create (session const &s, saga::url const &url, int mode=Read)
| Factory function resembling directory(session, url, int) constructor.
static directory | create (saga::url const &url, int mode=Read)
| Factory function resembling directory(url, int) constructor.
template<typename Tag>
static saga::task | create (saga::url const &url, int mode=Read)

## Detailed Description

The directory class represents a directory within a meta data directory with a hierarchical namespace attached. This class inherits all methods from saga::name_space::directoryectory.

## Constructor & Destructor Documentation

saga::advert::directory::directory | ( | saga::session const & | s,
|  | saga::url | url,
|  | int | mode = `saga::advert::ReadWrite` |
| ) |  |  |

Constructs an directory object that points to url, opens it in mode and associates it with the session s.

saga::advert::directory::directory | ( | saga::url | url,
|  | int | mode = `saga::advert::ReadWrite` |
| ) |  |  | `[explicit]`

Constructs an directory object that points to url and opens it in mode.

saga::advert::directory::directory | ( | saga::object const & | other | ) | `[explicit]`

Constructs a copy of other.

Reimplemented from saga::name_space::directory.

References saga::object::AdvertDirectory, saga::BadParameter, and saga::object::get_type().

saga::advert::directory::directory | ( | void |  | ) |

Tries to construct a default directory object.

Reimplemented from saga::name_space::directory.

saga::advert::directory::~directory | ( | void |  | ) |

Destroys the directory object and frees all allocated resources.

Reimplemented from saga::name_space::directory.

## Member Function Documentation

static directory saga::advert::directory::create | ( | session const & | s,
|  | saga::url const & | url,
|  | int | mode = `Read` |
| ) |  |  | `[inline, static]`

Factory function resembling directory(session, url, int) constructor.

static directory saga::advert::directory::create | ( | saga::url const & | url,
|  | int | mode = `Read` |
| ) |  |  | `[inline, static]`

Factory function resembling directory(url, int) constructor.

template<typename Tag>

static saga::task saga::advert::directory::create | ( | saga::url const & | url,
|  | int | mode = `Read` |
| ) |  |  | `[inline, static]`

directory & saga::advert::directory::operator= | ( | saga::object const & | o | ) |

Assigns object to this directory and returns a reference to it. TASK ONLY.

Reimplemented from saga::name_space::directory.

References saga::name_space::directory::operator=().

advert::entry saga::advert::directory::open | ( | saga::url | url,
|  | int | mode = `saga::advert::Read` |
| ) |  |  | `[inline]`

Tries to open the advert at the URL url with mode.

Reimplemented from saga::name_space::directory.

References saga::task::get_result().

advert::directory saga::advert::directory::open_dir | ( | saga::url | url,
|  | int | mode = `saga::advert::Read` |
| ) |  |  | `[inline]`

Tries to open the advert_direcory at URL url with mode.

Reimplemented from saga::name_space::directory.

References saga::task::get_result().

std::vector<saga::url> saga::advert::directory::find | ( | std::string | name,
|  | std::vector< std::string > | pattern,
|  | int | flags = `saga::advert::None` |
| ) |  |  | `[inline]`

Tries to find directory entries which match...

The documentation for this class was generated from the following files:

- advert_directory.hpp
- advert_directory.cpp